﻿using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Linq;
using System.Text;
using System.Windows.Forms;
using Telerik.WinControls;
using System.Reflection;
using System.IO;

namespace WindowsFormsApplication3
{
    public partial class MainForm : Form
    {
        public MainForm()
        {
            InitializeComponent();

            Assembly assembly = Assembly.GetExecutingAssembly();
            using (Stream stream = assembly.GetManifestResourceStream("WindowsFormsApplication3.Theme.css"))
            {
                if (stream != null)
                {
                    CSSThemeReader reader = new CSSThemeReader();
                    Theme theme = reader.Read(stream);
                    if (theme != null && !string.IsNullOrEmpty(theme.Name))
                    {
                        ThemeRepository.Add(theme);
                    }
                }
            }
        }
    }
}
